## cado 0.9.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.13)
project(cado
    VERSION 0.9.4
    DESCRIPTION "Capability Ambient DO. Provide users just the capabilities they need."
    HOMEPAGE_URL "https://github.com/rd235/cado"
    LANGUAGES C)

include(GNUInstallDirs)
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -D_FORTIFY_SOURCE=2 -O2 -Wall -pedantic")

set(LIBS_REQUIRED cap execs mhash pam pam_misc)

foreach(THISLIB IN LISTS LIBS_REQUIRED)
  find_library(${THISLIB}_library ${THISLIB})
  if(NOT ${THISLIB}_library)
    message(FATAL_ERROR "library lib${THISLIB} not found")
  endif()
endforeach(THISLIB)

if (WITHEDITOR)
        set(EDITOR "${WITHEDITOR}")
else (WITHEDITOR)
        set(EDITOR "/usr/bin/vi")
endif (WITHEDITOR)

# Spool dir for scado files
set(CADO_SPOOL_DIR "/usr/local/var/spool/cado")

configure_file(
        "include/config.h.in"
        "include/config.h"
)

add_subdirectory(man)
add_subdirectory(src)

add_custom_target(uninstall
	"${CMAKE_COMMAND}"
		-DCADO_SPOOL_DIR=${CADO_SPOOL_DIR}
		-P "${PROJECT_SOURCE_DIR}/Uninstall.cmake"
	)

=== src/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.13)

add_executable(
        cado cado.c pam_check.c get_user_groups.c capset_from_namelist.c
        read_conf.c set_ambient_cap.c compute_digest.c file_utils.c
        scado_parse.c cado_scado_check.c
)
target_include_directories(cado PRIVATE ${PROJECT_SOURCE_DIR}/include ${CMAKE_BINARY_DIR}/include)
target_link_libraries(
        cado ${pam_library} ${pam_misc_library} ${cap_library} ${mhash_library}
        ${execs_library})

add_executable(cadrop cadrop.c capset_from_namelist.c set_ambient_cap.c)
target_include_directories(cadrop PRIVATE ${PROJECT_SOURCE_DIR}/include ${CMAKE_BINARY_DIR}/include)
target_link_libraries(cadrop ${cap_library})

add_executable(
        scado scado.c pam_check.c file_utils.c compute_digest.c
        capset_from_namelist.c scado_parse.c
)
target_include_directories(scado PRIVATE ${PROJECT_SOURCE_DIR}/include ${CMAKE_BINARY_DIR}/include)
target_link_libraries(
        scado ${pam_library} ${pam_misc_library} ${cap_library} ${mhash_library}
        ${execs_library}
)

add_executable(caprint caprint.c)
target_include_directories(caprint PRIVATE ${PROJECT_SOURCE_DIR}/include ${CMAKE_BINARY_DIR}/include)
target_link_libraries(caprint ${cap_library})

install(
        TARGETS cado cadrop scado caprint
        RUNTIME
        DESTINATION ${CMAKE_INSTALL_BINDIR}
)

if(NOT DEBUILD)
        install(
                CODE "execute_process(
                        COMMAND ${CMAKE_COMMAND}
                        -DBINDIR=${CMAKE_INSTALL_FULL_BINDIR}
                        -DLIBDIR=${CMAKE_INSTALL_FULL_LIBDIR}
                        -DCADO_SPOOL_DIR=${CADO_SPOOL_DIR}
                        -P ${PROJECT_SOURCE_DIR}/PostInstall.cmake
                )"
        )
endif()

=== debian/changelog ===
cado (0.9.4-1) unstable; urgency=medium

  * Initial release. (Closes: #943411)

 -- Mattia Biondi <mattiabiondi1@gmail.com>  Thu, 30 Jan 2020 18:07:28 +0100

=== debian/control ===
Source: cado
Section: admin
Priority: optional
Maintainer: Debian VirtualSquare Team <virtualsquare@cs.unibo.it>
Uploaders: Mattia Biondi <mattiabiondi1@gmail.com>, Renzo Davoli <renzo@cs.unibo.it>, Andrea Capriotti <capriott@debian.org>
Build-Depends: debhelper-compat (= 12), cmake (>= 2.6), libexecs-dev, libmhash-dev, libcap-dev, libpam0g-dev
Standards-Version: 4.3.0
Homepage: http://www.virtualsquare.org/
Vcs-Git: https://github.com/rd235/cado.git
Vcs-Browser: https://github.com/rd235/cado

Package: cado
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}, adduser
Description: Capability Ambient DO
 Cado permits the delegation of capabilities to users. Cado is a capability
 based sudo. Sudo allows authorized users to run programs as root (or as
 another user), cado permits authorized users to run programs with specific
 (ambient) capabilities.

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DDEBUILD=1 -DCADO_SPOOL_DIR="/usr/local/var/spool/cado"

=== debian/watch ===
version=4
https://github.com/rd235/cado/tags .*/v@ANY_VERSION@\.tar\.gz

## cado 0.9.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.13)
project(cado
	VERSION 0.9.5
	DESCRIPTION "Capability Ambient DO. Provide users just the capabilities they need."
	HOMEPAGE_URL "https://github.com/rd235/cado"
	LANGUAGES C)

include(GNUInstallDirs)
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -D_FORTIFY_SOURCE=2 -O2 -Wall -pedantic")

set(LIBS_REQUIRED cap execs mhash pam pam_misc)

option(CADO_RUN_POST_INSTALL "Run PostInstall.cmake" ON)

foreach(THISLIB IN LISTS LIBS_REQUIRED)
	find_library(${THISLIB}_library ${THISLIB})
	if(NOT ${THISLIB}_library)
		message(FATAL_ERROR "library lib${THISLIB} not found")
	endif()
endforeach(THISLIB)

if (WITHEDITOR)
	set(EDITOR "${WITHEDITOR}")
else (WITHEDITOR)
	set(EDITOR "/usr/bin/vi")
endif (WITHEDITOR)

# Spool dir for scado files
set(CADO_SPOOL_DIR
	"${CMAKE_INSTALL_FULL_LOCALSTATEDIR}/spool/${CMAKE_PROJECT_NAME}")

configure_file(
	"include/config.h.in"
	"include/config.h"
)

add_subdirectory(man)
add_subdirectory(src)

add_custom_target(uninstall
	"${CMAKE_COMMAND}"
		-DCADO_SPOOL_DIR=${CADO_SPOOL_DIR}
		-P "${PROJECT_SOURCE_DIR}/Uninstall.cmake"
	)

=== src/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.13)

add_executable(
	cado cado.c pam_check.c get_user_groups.c capset_from_namelist.c
	read_conf.c set_ambient_cap.c compute_digest.c file_utils.c
	scado_parse.c cado_scado_check.c
)
target_include_directories(cado PRIVATE ${PROJECT_SOURCE_DIR}/include ${CMAKE_BINARY_DIR}/include)
target_link_libraries(
	cado ${pam_library} ${pam_misc_library} ${cap_library} ${mhash_library}
	${execs_library})

add_executable(cadrop cadrop.c capset_from_namelist.c set_ambient_cap.c)
target_include_directories(cadrop PRIVATE ${PROJECT_SOURCE_DIR}/include ${CMAKE_BINARY_DIR}/include)
target_link_libraries(cadrop ${cap_library})

add_executable(
	scado scado.c pam_check.c file_utils.c compute_digest.c
	capset_from_namelist.c scado_parse.c
)
target_include_directories(scado PRIVATE ${PROJECT_SOURCE_DIR}/include ${CMAKE_BINARY_DIR}/include)
target_link_libraries(
	scado ${pam_library} ${pam_misc_library} ${cap_library} ${mhash_library}
	${execs_library}
)

add_executable(caprint caprint.c)
target_include_directories(caprint PRIVATE ${PROJECT_SOURCE_DIR}/include ${CMAKE_BINARY_DIR}/include)
target_link_libraries(caprint ${cap_library})

install(
	TARGETS cado cadrop scado caprint
	RUNTIME
	DESTINATION ${CMAKE_INSTALL_BINDIR}
)

if(CADO_RUN_POST_INSTALL)
	install(
		CODE "execute_process(
			COMMAND ${CMAKE_COMMAND}
			-DBINDIR=${CMAKE_INSTALL_FULL_BINDIR}
			-DLIBDIR=${CMAKE_INSTALL_FULL_LIBDIR}
			-DCADO_SPOOL_DIR=${CADO_SPOOL_DIR}
			-P ${PROJECT_SOURCE_DIR}/PostInstall.cmake
		)"
	)
endif()

=== debian/changelog ===
cado (0.9.5-2) unstable; urgency=medium

  [Debian Janitor]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on cmake.
  [Andrea Capriotti]
  * Bump Standards-Version to 4.6.1, no changes needed.
  * d/copyright: Update Debian copyright

 -- Andrea Capriotti <capriott@debian.org>  Sun, 14 Aug 2022 13:09:11 +0200

cado (0.9.5-1) unstable; urgency=medium

  * Add debian/postrm
  * Update debhelper-compat and Standards-Version
  * Add hardening, update PostInstall flag
  * New upstream release.

 -- Mattia Biondi <mattiabiondi1@gmail.com>  Sun, 03 May 2020 18:28:42 +0100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,12 @@
 Priority: optional
 Maintainer: Debian VirtualSquare Team <virtualsquare@cs.unibo.it>
 Uploaders: Mattia Biondi <mattiabiondi1@gmail.com>, Renzo Davoli <renzo@cs.unibo.it>, Andrea Capriotti <capriott@debian.org>
-Build-Depends: debhelper-compat (= 12), cmake (>= 2.6), libexecs-dev, libmhash-dev, libcap-dev, libpam0g-dev
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 13), cmake, libexecs-dev, libmhash-dev, libcap-dev, libpam0g-dev
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Homepage: http://www.virtualsquare.org/
-Vcs-Git: https://github.com/rd235/cado.git
-Vcs-Browser: https://github.com/rd235/cado
+Vcs-Git: https://salsa.debian.org/virtualsquare-team/cado.git
+Vcs-Browser: https://salsa.debian.org/virtualsquare-team/cado
 
 Package: cado
 Architecture: linux-any

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCADO_RUN_POST_INSTALL=OFF

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%cado-$1.tar.gz%" \
   https://github.com/rd235/cado/tags \
      (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## cado 0.9.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.13)
 project(cado
-	VERSION 0.9.5
+	VERSION 0.9.6
 	DESCRIPTION "Capability Ambient DO. Provide users just the capabilities they need."
 	HOMEPAGE_URL "https://github.com/rd235/cado"
 	LANGUAGES C)

=== man/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.13)

set(RONN_ORGANIZATION "VirtualSquare")
set(RONN_ARGS --organization=${RONN_ORGANIZATION})

# #ronn pages

 file(GLOB VU_RONN_PAGES ${CMAKE_CURRENT_SOURCE_DIR}/*.[1-8].ronn)
set(VU_MAN_FILES)
foreach(VU_RONN_PATH IN LISTS VU_RONN_PAGES)
# VU_RONNPAGE: basename of VU_RONN_PATH
	get_filename_component(VU_RONNPAGE ${VU_RONN_PATH} NAME)
# VU_MANPAGE: VU_RONNPAGE without the suffix
	string(REGEX REPLACE "\.ronn$" "" VU_MANPAGE ${VU_RONNPAGE})
	list(APPEND VU_MAN_FILES ${VU_MANPAGE})
endforeach(VU_RONN_PATH)

add_custom_target(${PROJECT_NAME}_manpages ALL make RONN_ARGS="${RONN_ARGS}"  ${VU_MAN_FILES}
	WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})

### man pages
file(GLOB VU_MAN_PAGES ${CMAKE_CURRENT_SOURCE_DIR}/*.[1-8])
foreach(VU_MAN_PATH IN LISTS VU_MAN_PAGES)
	get_filename_component(VU_MANPAGE ${VU_MAN_PATH} NAME)
	string(REGEX REPLACE ".*\\." "" MAN_CHAPTER ${VU_MANPAGE})
	install(FILES ${VU_MAN_PATH} DESTINATION ${CMAKE_INSTALL_MANDIR}/man${MAN_CHAPTER})
endforeach(VU_MAN_PATH)

=== debian/changelog ===
cado (0.9.6-1build1) mantic; urgency=medium

  * Rebuild against latest libexecs

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 03 Jul 2023 10:30:28 -0400

cado (0.9.6-1) unstable; urgency=medium

  [ Renzo Davoli ]
  * New version 0.9.6.
    + compatibility with libexecs1 1.4.
  * Bump Standards-Version to 4.6.2, no changes needed.
  * Update copyright.

  [ Mattia Rizzolo ]
  * d/watch: drop unneded uupdate call.

 -- Renzo Davoli <renzo@cs.unibo.it>  Sat, 24 Jun 2023 09:22:31 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian VirtualSquare Team <virtualsquare@cs.unibo.it>
 Uploaders: Mattia Biondi <mattiabiondi1@gmail.com>, Renzo Davoli <renzo@cs.unibo.it>, Andrea Capriotti <capriott@debian.org>
 Build-Depends: debhelper-compat (= 13), cmake, libexecs-dev, libmhash-dev, libcap-dev, libpam0g-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: http://www.virtualsquare.org/
 Vcs-Git: https://salsa.debian.org/virtualsquare-team/cado.git

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%cado-$1.tar.gz%" \
   https://github.com/rd235/cado/tags \
      (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
